Method: brands.locations.patch

  • Updates to location information require including the entire list for fields that take a list as input, as updates replace the whole list.

  • The update is performed using an HTTP PATCH request to the specified URL, which uses gRPC Transcoding syntax.

  • The request requires a location.name path parameter to identify the unique location and an optional updateMask query parameter to specify which fields to update.

  • The request body should contain an instance of the Location object with the updated information.

  • A successful response will return an instance of the updated Location object.

Updates information about a location.

HTTP request

PATCH https://businesscommunications.googleapis.com/v1/{location.name=brands/*/locations/*}

The URL uses gRPC Transcoding syntax.

Path parameters

Parameters
location.name

string

The unique identifier of the location.

Read-only. Defined by the platform.

Query parameters

Parameters
updateMask

string (FieldMask format)

The update mask applies to the resource. For the FieldMask definition, see https://developers.google.com/protocol-buffers/docs/reference/google.protobuf#fieldmask

This is a comma-separated list of fully qualified names of fields. Example: "user.displayName,photo".

Request body

The request body contains an instance of Location.

Response body

If successful, the response body contains an instance of Location.